config/routes.rb
Rails.application.routes.draw do

  resources :appointments

  resources :event_pets

  root 'customers#index'

  resources :pets

  resources :pets do
    resources :event_pets
  end

  resources :customers do 
    resources :pets
  end

end

app/models/appointment.rb
class Appointment < ActiveRecord::Base
  belongs_to :pet
end

app/controllers/appointments_controller.rb
class AppointmentsController < ApplicationController
  before_action :set_appointment, only: [:show, :edit, :update, :destroy]

  # GET /appointments
  # GET /appointments.json
  def index
    @appointments = Appointment.all
  end

  # GET /appointments/1
  # GET /appointments/1.json
  def show
  end

  # GET /appointments/new
  def new
    @appointment = Appointment.new
  end

  # GET /appointments/1/edit
  def edit
  end

  # POST /appointments
  # POST /appointments.json
  def create
    @appointment = Appointment.new(appointment_params)

    respond_to do |format|
      if @appointment.save
        format.html { redirect_to @appointment, notice: 'Appointment was successfully created.' }
        format.json { render :show, status: :created, location: @appointment }
      else
        format.html { render :new }
        format.json { render json: @appointment.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /appointments/1
  # PATCH/PUT /appointments/1.json
  def update
    respond_to do |format|
      if @appointment.update(appointment_params)
        format.html { redirect_to @appointment, notice: 'Appointment was successfully updated.' }
        format.json { render :show, status: :ok, location: @appointment }
      else
        format.html { render :edit }
        format.json { render json: @appointment.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /appointments/1
  # DELETE /appointments/1.json
  def destroy
    @appointment.destroy
    respond_to do |format|
      format.html { redirect_to appointments_url, notice: 'Appointment was successfully destroyed.' }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_appointment
      @appointment = Appointment.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def appointment_params
      params.require(:appointment).permit(:time, :comment, :pet_id)
    end
end

app/helpers/appointments_helper.rb
module AppointmentsHelper
end

app/views/appointments/_form.html.erb
<%= simple_form_for(@appointment) do |f| %>
  <%= f.error_notification %>

  <div class="form-inputs">
    <%= f.input :time %>
    <%= f.input :comment %>
    <%= f.association :pet %>
  </div>

  <div class="form-actions">
    <%= f.button :submit %>
  </div>
<% end %>

app/views/appointments/edit.html.erb
<div class="page-header">
  <%= link_to appointments_path, :class => 'btn btn-default' do %>
    <span class="glyphicon glyphicon-list-alt"></span>
    Back
  <% end %>
  <%= link_to @appointment, :class => 'btn btn-primary' do %>
    <span class="glyphicon glyphicon-info-sign"></span>
    Show
  <% end %>
  <h1>Editing appointment</h1>
</div>

<%= render 'form' %>

app/views/appointments/index.html.erb
<div class="page-header">
  <%= link_to new_appointment_path, :class => 'btn btn-primary' do %>
    <span class="glyphicon glyphicon-plus"></span>
    New Appointment
  <% end %>
  <h1>Afspraken</h1>
</div>

<div class="table-responsive">
  <table class="table table-striped table-bordered table-hover">
    <thead>
      <tr>
            <th>Datum / Tijd</th>
            <th>Beschrijving</th>
            <th>Huisdier</th>
            <th></th>
        <th></th>
        <th></th>
      </tr>
    </thead>

    <tbody>
      <%= content_tag_for(:tr, @appointments) do |appointment| %>
            <td><%= appointment.time %></td>
            <td><%= appointment.comment %></td>
            <td><%= appointment.pet %></td>
            <td><%= link_to 'Show', appointment %></td>
        <td><%= link_to 'Edit', edit_appointment_path(appointment) %></td>
        <td><%= link_to 'Destroy', appointment, method: :delete, data: { confirm: 'Are you sure?' } %></td>
      <% end %>
    </tbody>
  </table>
</div>

app/views/appointments/new.html.erb
<div class="page-header">
  <%= link_to appointments_path, :class => 'btn btn-default' do %>
    <span class="glyphicon glyphicon-list-alt"></span>
    Back
  <% end %>
  <h1>New appointment</h1>
</div>

<%= render 'form' %>

app/views/appointments/show.html.erb
<div class="page-header">
  <%= link_to appointments_path, :class => 'btn btn-default' do %>
    <span class="glyphicon glyphicon-list-alt"></span>
    Back
  <% end %>
  <%= link_to edit_appointment_path(@appointment), :class => 'btn btn-primary' do %>
    <span class="glyphicon glyphicon-pencil"></span>
    Edit
  <% end %>
  <h1>Show appointment</h1>
</div>

<dl class="dl-horizontal">
  <dt>Time:</dt>
  <dd><%= @appointment.time %></dd>

  <dt>Comment:</dt>
  <dd><%= @appointment.comment %></dd>

  <dt>Pet:</dt>
  <dd><%= @appointment.pet %></dd>

</dl>